# $Revision: 1.49 $, $Date: 2010/08/21 19:08:18 $
%include	/usr/lib/rpm/macros.php
%define		_class		PEAR
%define		_subclass	PackageFileManager
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - takes an existing package.xml file and updates it with a new filelist and changelog
Summary(pl.UTF-8):	%{_pearname} - aktualizacja package.xml (dodanie nowej listy plików oraz listy zmian)
Name:		php-pear-%{_pearname}
Version:	1.7.0
Release:	2
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	07d1f5f6256b8e97c5910b7908b9282e
URL:		http://pear.php.net/package/PEAR_PackageFileManager/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR >= 1:1.1
Requires:	php-pear-PEAR_PackageFileManager2
Requires:	php-pear-PEAR_PackageFileManager_Plugins
Suggests:	php-pear-PHP_CompatInfo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(PHP/CompatInfo.*)' 'pear(XML/Tree.*)'

%description
This package revolutionizes the maintenance of PEAR packages. With a
few parameters, the entire package.xml is automatically updated with a
listing of all files in a package.

Features include:
- reads an existing package.xml file, and only changes the
  release/changelog
- a plugin system for retrieving files in a directory. Currently two
  plugins exist, one for standard recursive directory content listing,
  and one that reads CVS/Entries and generates a file listing based on
  the contents of a checked out CVS repository
- incredibly flexible options for assigning install roles to
  files/directories
- ability to ignore any file based on a * ? wildcard-enabled string
- ability to manage dependencies
- can output the package.xml in any directory, and read in the
  package.xml from any directory
- can specify a different name for the package.xml file

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet rewolucjonizuje zarządzanie pakietami PEAR. Za pomocą kilku
parametrów możliwe jest automatyczne zaktualizowanie package.xml o
listę plików danego pakietu.

Możliwości pakietu:
- wczytuje istniejący plik package.xml i zmienia w nim tylko
  release/changelog
- system wtyczek służących do skompletowania listy plików w katalogu.
  Aktualnie istnieją dwie takie wtyczki - jedna do standardowego
  rekursywnego przeglądania katalogów, druga do odczytu do generowania
  listy plików na podstawie CVS/Entries.
- niesamowicie elastyczne opcje do określania roli podczas instalacji
  dla plików/katalogów [FIXME?]
- możliwość ignorowania plików na podstawie wildcardów * ?
- możliwość do zarządzania zależnościami
- możliwość zapisu pliku package.xml do dowolnego katalogu oraz
  odczytu tego pliku z dowolnego katalogu
- można określić dla pliku package.xml inną nazwę

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PEAR_PackageFileManager.spec,v $
Revision 1.49  2010/08/21 19:08:18  glen
- updated deps with pearize.sh
- release 2

Revision 1.48  2010/08/20 13:06:28  glen
- updated to: 1.7.0

Revision 1.47  2008/01/31 12:16:09  glen
- rel 2

Revision 1.46  2007-11-21 09:13:29  adamg
- updated to 1.6.3

Revision 1.45  2007/09/01 19:37:26  adamg
- updated to 1.6.1

Revision 1.44  2007/03/01 00:07:06  glen
- 1.6.0-stable

Revision 1.43  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.42  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.41  2006/09/04 22:10:44  adamg
- updated to 1.6.0b4 (beta)

Revision 1.40  2006/06/11 12:55:36  glen
- 1.5.3

Revision 1.39  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.38  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.37  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.36  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.35  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.34  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.33  2005/10/05 20:59:19  glen
- rel 2

Revision 1.32  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.31  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.30  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.29  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.28  2005/09/19 23:34:48  glen
- 1.5.2

Revision 1.27  2005/09/19 21:43:40  glen
- integer BR

Revision 1.26  2005/09/19 18:43:56  glen
- merged from DEVEL: use new pear packaging system

Revision 1.25.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.25.2.1  2005/09/18 19:26:05  glen
- use php-pear-build

Revision 1.25  2005/04/08 16:49:40  adamg
- updated to 1.5.1

Revision 1.24  2005/03/28 08:29:35  adamg
- updated to 1.5.0

Revision 1.23  2005/02/21 07:54:48  adamg
- updated to 1.4.0

Revision 1.22  2005/02/19 18:14:14  adamg
- updated to 1.3.0

Revision 1.21  2004/12/04 14:09:09  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.20  2004/10/31 22:10:47  paladine
- spaces->tabs
- formatting

Revision 1.19  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.18  2004/04/27 19:37:50  adamg
- updated md5sum

Revision 1.17  2004/04/27 19:02:43  adamg
- updated to 1.2.1

Revision 1.16  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.15  2004/02/07 19:17:45  adamg
- updated to 1.2.0

Revision 1.14  2003/12/12 18:43:10  adamg
- updated to 1.1.0

Revision 1.13  2003/10/07 20:56:03  adamg
- do not use macros in URL

Revision 1.12  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.11  2003/08/31 10:40:31  adamg
- updated to 1.0, status changed to stable

Revision 1.10  2003/08/07 09:59:08  adamg
- updated to 0.15

Revision 1.9  2003/08/04 12:36:01  adamg
- updated to 0.14

Revision 1.8  2003/08/02 19:51:48  adamg
- updated to 0.13

Revision 1.7  2003/07/28 07:09:26  adamg
- updated to 0.12
- removed docs/ from %%doc

Revision 1.6  2003/07/25 21:34:21  adamg
- updated to 0.11
- since 0.10 this package's status is beta (forgot to change on earlier commit)

Revision 1.5  2003/07/25 07:59:37  adamg
- updated to 0.10

Revision 1.4  2003/07/23 22:35:11  adamg
- updated to 0.8

Revision 1.3  2003/07/23 07:08:19  adamg
- updated to 0.5

Revision 1.2  2003/07/22 19:23:49  adamg
- updated to 0.3

Revision 1.1  2003/07/22 08:26:51  adamg
- initial import
